import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { RegistrationV2, RegistrationV2Interface } from "../RegistrationV2";
export declare class RegistrationV2__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address payable";
            readonly name: "_imx";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
        readonly type: "constructor";
    }, {
        readonly inputs: readonly [];
        readonly name: "getVersion";
        readonly outputs: readonly [{
            readonly internalType: "string";
            readonly name: "";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "imx";
        readonly outputs: readonly [{
            readonly internalType: "contract Core";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "starkKey";
            readonly type: "uint256";
        }];
        readonly name: "isRegistered";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "ethKey";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "starkKey";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "assetType";
            readonly type: "uint256";
        }];
        readonly name: "registerAndWithdrawAll";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "ethKey";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "starkKey";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "assetType";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "registerAndWithdrawNft";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "ethKey";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "starkKey";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "assetType";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "mintingBlob";
            readonly type: "bytes";
        }];
        readonly name: "registerWithdrawAndMint";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "ethKey";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "starkKey";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "assetType";
            readonly type: "uint256";
        }];
        readonly name: "withdrawAll";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }];
    static createInterface(): RegistrationV2Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): RegistrationV2;
}
